<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function adventure_blog_widgets_init() {
    register_sidebar(array(
        'name' => esc_html__('Sidebar', 'adventure-blog'),
        'id' => 'sidebar-1',
        'description' => esc_html__('Add widgets here.', 'adventure-blog'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2 class="widget-title">',
        'after_title' => '</h2>',
    ));
    register_sidebar(array(
        'name' => esc_html__('Footer Column 1', 'adventure-blog'),
        'id' => 'footer-col-1',
        'description' => esc_html__('Displays items on footer section.', 'adventure-blog'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h5 class="widget-title">',
        'after_title' => '</h5>',
    ));
    register_sidebar(array(
        'name' => esc_html__('Footer Column 2', 'adventure-blog'),
        'id' => 'footer-col-2',
        'description' => esc_html__('Displays items on footer section.', 'adventure-blog'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h5 class="widget-title">',
        'after_title' => '</h5>',
    ));
    register_sidebar(array(
        'name' => esc_html__('Footer Column 3', 'adventure-blog'),
        'id' => 'footer-col-3',
        'description' => esc_html__('Displays items on footer section.', 'adventure-blog'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h5 class="widget-title">',
        'after_title' => '</h5>',
    ));
}

add_action('widgets_init', 'adventure_blog_widgets_init');
